
package br.jus.cnj.intercomunicacao.beans;

import java.io.Serializable;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;


/**
 * 
 * Tipo de elemento destinado a permitir informar data, hora, minuto e segundo, com indicação de fuso 
 * horário, no formato YYYY-MM-DDThh:mm:ssTZD, conforme padrão definido pelo W3C: https://www.w3.org/TR/NOTE-datetime 
 * 
 * 			
 * 
 * <p>Classe Java de tipoDataHora simple type.
 * 
 * <p>O seguinte fragmento do esquema especifica o conteúdo esperado contido dentro desta classe.
 * 
 * <pre>
 * &lt;simpleType name="tipoDataHora">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;pattern value="^([1-9]\d{3}-((0[1-9]|1[0-2])-(0[1-9]|1\d|2[0-8])|(0[13-9]|1[0-2])-(29|30)|(0[13578]|1[02])-31)|([1-9]\d(0[48]|[2468][048]|[13579][26])|([2468][048]|[13579][26])00)-02-29)T([01]\d|2[0-3]):[0-5]\d:[0-5]\d(Z|[+-][01]\d:[0-5]\d)$"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "tipoDataHora", propOrder = {
    "value"
})
public class DataHora
    implements Serializable
{

    @XmlValue
    protected String value;

    /**
     * 
     * Tipo de elemento destinado a permitir informar data, hora, minuto e segundo, com indicação de fuso 
     * horário, no formato YYYY-MM-DDThh:mm:ssTZD, conforme padrão definido pelo W3C: https://www.w3.org/TR/NOTE-datetime 
     * 
     * 			
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getValue() {
        return value;
    }

    /**
     * Define o valor da propriedade value.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setValue(String value) {
        this.value = value;
    }

    public boolean isSetValue() {
        return (this.value!= null);
    }

}
