
package br.jus.cnj.intercomunicacao.servico;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;
import br.jus.cnj.intercomunicacao.beans.RequisicaoConfirmarRecebimento;
import br.jus.cnj.intercomunicacao.beans.RequisicaoConsultarAlteracao;
import br.jus.cnj.intercomunicacao.beans.RequisicaoConsultarAssuntos;
import br.jus.cnj.intercomunicacao.beans.RequisicaoConsultarAvisosPendentes;
import br.jus.cnj.intercomunicacao.beans.RequisicaoConsultarClasses;
import br.jus.cnj.intercomunicacao.beans.RequisicaoConsultarCompetencias;
import br.jus.cnj.intercomunicacao.beans.RequisicaoConsultarDocumentosProcesso;
import br.jus.cnj.intercomunicacao.beans.RequisicaoConsultarLocalidades;
import br.jus.cnj.intercomunicacao.beans.RequisicaoConsultarProcesso;
import br.jus.cnj.intercomunicacao.beans.RequisicaoConsultarRemessas;
import br.jus.cnj.intercomunicacao.beans.RequisicaoConsultarTeorComunicacao;
import br.jus.cnj.intercomunicacao.beans.RequisicaoEntregarPeticao;
import br.jus.cnj.intercomunicacao.beans.RequisicaoEntregarPeticaoInicial;
import br.jus.cnj.intercomunicacao.beans.RequisicaoRemeterProcesso;
import br.jus.cnj.intercomunicacao.beans.RequisicaoResponderComunicacao;
import br.jus.cnj.intercomunicacao.beans.RespostaConfirmarRecebimento;
import br.jus.cnj.intercomunicacao.beans.RespostaConsultarAlteracao;
import br.jus.cnj.intercomunicacao.beans.RespostaConsultarAssuntos;
import br.jus.cnj.intercomunicacao.beans.RespostaConsultarAvisosPendentes;
import br.jus.cnj.intercomunicacao.beans.RespostaConsultarClasses;
import br.jus.cnj.intercomunicacao.beans.RespostaConsultarCompetencias;
import br.jus.cnj.intercomunicacao.beans.RespostaConsultarDocumentosProcesso;
import br.jus.cnj.intercomunicacao.beans.RespostaConsultarLocalidades;
import br.jus.cnj.intercomunicacao.beans.RespostaConsultarProcesso;
import br.jus.cnj.intercomunicacao.beans.RespostaConsultarRemessas;
import br.jus.cnj.intercomunicacao.beans.RespostaConsultarTeorComunicacao;
import br.jus.cnj.intercomunicacao.beans.RespostaEntregarPeticao;
import br.jus.cnj.intercomunicacao.beans.RespostaEntregarPeticaoInicial;
import br.jus.cnj.intercomunicacao.beans.RespostaRemeterProcesso;
import br.jus.cnj.intercomunicacao.beans.RespostaResponderComunicacao;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.10
 * Generated source version: 2.2
 * 
 */
@WebService(name = "mni", targetNamespace = "http://www.cnj.jus.br/mni/v300/")
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
@XmlSeeAlso({
    br.jus.cnj.intercomunicacao.beans.ObjectFactory.class,
    br.jus.cnj.intercomunicacao.cda.ObjectFactory.class,
    br.jus.cnj.intercomunicacao.servico.ObjectFactory.class,
    br.jus.cnj.intercomunicacao.stj.ObjectFactory.class
})
public interface Intercomunicacao {


    /**
     * 
     * Operação destinada a permitir que o consultante verifique a existência de avisos de comunicação 
     * processual pendentes junto ao tribunal fornecedor do serviço. Essa consulta poderá ser específica em relação a 
     * uma parte representada ou, ainda, genérica, relativa aos processos em que o consultante opera como órgão de representação 
     * processual (MP, defensoria pública, advocacia pública, escritório de advocacia e advogado). O retorno da consulta 
     * é um objeto do tipo 'tipoConsultarAvisosPendentesResposta', que contém o status de sucesso da operação, mensagem 
     * relativa à sua concretização e uma lista dos avisos pendentes de conhecimento pelo consultante, sendo os avisos 
     * do tipo 'tipoAvisoComunicacaoPendente' definido no esquema intercomunicacao.xsd. Caso não haja aviso pendente, 
     * será retornada uma lista de tamanho zero. 
     * 			
     * 
     * @param parameters
     * @return
     *     returns br.jus.cnj.intercomunicacao.beans.RespostaConsultarAvisosPendentes
     */
    @WebMethod(action = "http://www.cnj.jus.br/mni/v300/consultarAvisosPendentes")
    @WebResult(name = "respostaConsultarAvisosPendentes", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
    public RespostaConsultarAvisosPendentes consultarAvisosPendentes(
        @WebParam(name = "requisicaoConsultarAvisosPendentes", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
        RequisicaoConsultarAvisosPendentes parameters);

    /**
     * 
     * Operação destinada a permitir a consulta a teor específico de comunicação processual pendente. 
     * O retorno será um objeto do tipo 'tipoConsultaTeorComunicacaoResposta', que conterá o status de sucesso da operação, 
     * mensagem relativa à sua concretização e uma lista de zero ou mais objetos do tipo 'tipoComunicacaoProcessual' definido 
     * no esquema intercomunicacao.xsd 
     * 			
     * 
     * @param parameters
     * @return
     *     returns br.jus.cnj.intercomunicacao.beans.RespostaConsultarTeorComunicacao
     */
    @WebMethod(action = "http://www.cnj.jus.br/mni/v300/consultarTeorComunicacao")
    @WebResult(name = "respostaConsultarTeorComunicacao", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
    public RespostaConsultarTeorComunicacao consultarTeorComunicacao(
        @WebParam(name = "requisicaoConsultarTeorComunicacao", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
        RequisicaoConsultarTeorComunicacao parameters);

    /**
     * 
     * Operação destinada a permitir a consulta a um processo judicial. Não é necessário que o consultante 
     * seja representante de qualquer das partes componentes do processo. A implementação deverá assegurar que o processo 
     * somente seja retornado se o nível de sigilo interno permitir a consulta pelo requerente. A identificação do requerente 
     * somente será necessária quando inexistente a autenticação e autorização pelo certificado cliente do serviço. A 
     * operação retornará objeto do tipo 'tipoConsultarProcessoResposta', que contém, além dos dados básicos, um objeto 
     * do tipo 'tipoProcessoJudicial', definido pelo esquema intercomunicacao.xsd, caso o processo exista e possa ser 
     * acessado pelo consultante. 
     * 			
     * 
     * @param parameters
     * @return
     *     returns br.jus.cnj.intercomunicacao.beans.RespostaConsultarProcesso
     */
    @WebMethod(action = "http://www.cnj.jus.br/mni/v300/consultarProcesso")
    @WebResult(name = "respostaConsultarProcesso", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
    public RespostaConsultarProcesso consultarProcesso(
        @WebParam(name = "requisicaoConsultarProcesso", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
        RequisicaoConsultarProcesso parameters);

    /**
     * 
     * Operação destinada a permitir a consulta de documentos processuais. Não é necessário que o 
     * consultante seja representante de qualquer das partes componentes do processo. A implementação deverá assegurar 
     * que os documentos somente sejam retornados se o nível de sigilo interno permitir a consulta pelo requerente. A 
     * operação retornará objeto do tipo 'tipoConsultarDocumentosProcessoResposta'. 
     * 			
     * 
     * @param parameters
     * @return
     *     returns br.jus.cnj.intercomunicacao.beans.RespostaConsultarDocumentosProcesso
     */
    @WebMethod(action = "http://www.cnj.jus.br/mni/v300/consultarDocumentosProcesso")
    @WebResult(name = "respostaConsultarDocumentosProcesso", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
    public RespostaConsultarDocumentosProcesso consultarDocumentosProcesso(
        @WebParam(name = "requisicaoConsultarDocumentosProcesso", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
        RequisicaoConsultarDocumentosProcesso parameters);

    /**
     * 
     * Operação destinada a permitir a entrega de peticionamento inicial. 
     * 			
     * 
     * @param parameters
     * @return
     *     returns br.jus.cnj.intercomunicacao.beans.RespostaEntregarPeticaoInicial
     */
    @WebMethod(action = "http://www.cnj.jus.br/mni/v300/entregarPeticaoInicial")
    @WebResult(name = "respostaEntregarPeticaoInicial", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
    public RespostaEntregarPeticaoInicial entregarPeticaoInicial(
        @WebParam(name = "requisicaoEntregarPeticaoInicial", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
        RequisicaoEntregarPeticaoInicial parameters);

    /**
     * 
     * Operação destinada a permitir a entrega de peticionamento incidental. 
     * 			
     * 
     * @param parameters
     * @return
     *     returns br.jus.cnj.intercomunicacao.beans.RespostaEntregarPeticao
     */
    @WebMethod(action = "http://www.cnj.jus.br/mni/v300/entregarPeticao")
    @WebResult(name = "respostaEntregarPeticao", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
    public RespostaEntregarPeticao entregarPeticao(
        @WebParam(name = "requisicaoEntregarPeticao", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
        RequisicaoEntregarPeticao parameters);

    /**
     * 
     * Operação destinada a permitir a resposta a ato de comunicação processual. 
     * 			
     * 
     * @param parameters
     * @return
     *     returns br.jus.cnj.intercomunicacao.beans.RespostaResponderComunicacao
     */
    @WebMethod(action = "http://www.cnj.jus.br/mni/v300/responderComunicacao")
    @WebResult(name = "respostaResponderComunicacao", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
    public RespostaResponderComunicacao responderComunicacao(
        @WebParam(name = "requisicaoResponderComunicacao", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
        RequisicaoResponderComunicacao parameters);

    /**
     * 
     * Operação destinada a permitir a remessa de processo. 
     * 			
     * 
     * @param parameters
     * @return
     *     returns br.jus.cnj.intercomunicacao.beans.RespostaRemeterProcesso
     */
    @WebMethod(action = "http://www.cnj.jus.br/mni/v300/remeterProcesso")
    @WebResult(name = "respostaRemeterProcesso", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
    public RespostaRemeterProcesso remeterProcesso(
        @WebParam(name = "requisicaoRemeterProcesso", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
        RequisicaoRemeterProcesso parameters);

    /**
     * 
     * Operação destinada a permitir uma verificação rápida quanto à existência de modificações havidas 
     * em um processo judicial. 
     * 			
     * 
     * @param parameters
     * @return
     *     returns br.jus.cnj.intercomunicacao.beans.RespostaConsultarAlteracao
     */
    @WebMethod(action = "http://www.cnj.jus.br/mni/v300/consultarAlteracao")
    @WebResult(name = "respostaConsultarAlteracao", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
    public RespostaConsultarAlteracao consultarAlteracao(
        @WebParam(name = "requisicaoConsultarAlteracao", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
        RequisicaoConsultarAlteracao parameters);

    /**
     * 
     * Operação destinada a permitir que um tribunal recebedor de um processo enviado confirme o integral 
     * recebimento junto ao tribunal remetente 
     * 			
     * 
     * @param parameters
     * @return
     *     returns br.jus.cnj.intercomunicacao.beans.RespostaConfirmarRecebimento
     */
    @WebMethod(action = "http://www.cnj.jus.br/mni/v300/confirmarRecebimento")
    @WebResult(name = "respostaConfirmarRecebimento", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
    public RespostaConfirmarRecebimento confirmarRecebimento(
        @WebParam(name = "requisicaoConfirmarRecebimento", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
        RequisicaoConfirmarRecebimento parameters);

    /**
     * 
     * Operação de suporte destinada a consulta das localidades disponíveis.
     * 			
     * 
     * @param parameters
     * @return
     *     returns br.jus.cnj.intercomunicacao.beans.RespostaConsultarLocalidades
     */
    @WebMethod(action = "http://www.cnj.jus.br/mni/v300/consultarLocalidades")
    @WebResult(name = "respostaConsultarLocalidades", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
    public RespostaConsultarLocalidades consultarLocalidades(
        @WebParam(name = "requisicaoConsultarLocalidades", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
        RequisicaoConsultarLocalidades parameters);

    /**
     * 
     * Operação de suporte destinada a consulta das competências disponíveis.
     * 			
     * 
     * @param parameters
     * @return
     *     returns br.jus.cnj.intercomunicacao.beans.RespostaConsultarCompetencias
     */
    @WebMethod(action = "http://www.cnj.jus.br/mni/v300/consultarCompetencias")
    @WebResult(name = "respostaConsultarCompetencias", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
    public RespostaConsultarCompetencias consultarCompetencias(
        @WebParam(name = "requisicaoConsultarCompetencias", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
        RequisicaoConsultarCompetencias parameters);

    /**
     * 
     * Operação de suporte destinada à consulta das classes judiciais disponíveis.
     * 			
     * 
     * @param parameters
     * @return
     *     returns br.jus.cnj.intercomunicacao.beans.RespostaConsultarClasses
     */
    @WebMethod(action = "http://www.cnj.jus.br/mni/v300/consultarClasses")
    @WebResult(name = "respostaConsultarClasses", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
    public RespostaConsultarClasses consultarClasses(
        @WebParam(name = "requisicaoConsultarClasses", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
        RequisicaoConsultarClasses parameters);

    /**
     * 
     * Operação de suporte destinada à consulta do histórico de remessas realizadas. 
     * 			
     * 
     * @param parameters
     * @return
     *     returns br.jus.cnj.intercomunicacao.beans.RespostaConsultarRemessas
     */
    @WebMethod(action = "http://www.cnj.jus.br/mni/v300/consultarRemessas")
    @WebResult(name = "respostaConsultarRemessas", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
    public RespostaConsultarRemessas consultarRemessas(
        @WebParam(name = "requisicaoConsultarRemessas", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
        RequisicaoConsultarRemessas parameters);

    /**
     * 
     * Operação de suporte destinada à consulta dos assuntos disponíveis.
     * 			
     * 
     * @param parameters
     * @return
     *     returns br.jus.cnj.intercomunicacao.beans.RespostaConsultarAssuntos
     */
    @WebMethod(action = "http://www.cnj.jus.br/mni/v300/consultarAssuntos")
    @WebResult(name = "respostaConsultarAssuntos", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
    public RespostaConsultarAssuntos consultarAssuntos(
        @WebParam(name = "requisicaoConsultarAssuntos", targetNamespace = "http://www.cnj.jus.br/mni/v300/", partName = "parameters")
        RequisicaoConsultarAssuntos parameters);

}
